import React from 'react'
import SvgIcon, { SvgIconProps } from '@mui/material/SvgIcon'
import ReactPDF, { Image } from '@react-pdf/renderer'
import png from './hematologic_failure.png'
import ImageProps = ReactPDF.ImageProps

const HematologicFailureIcon: React.FC<SvgIconProps> = (props) => {
  return (
    <SvgIcon viewBox={'0 0 512 512'} {...props}>
      <circle cx="39" cy="48" r="2" />
      <path d="m286.139 316.088c-.225 2.62-.564 5.189-1.035 7.806l40.637 40.637-21.211 21.211-30.987-30.987c-4.561 7.872-9.849 15.456-16.591 22.198-.284.284-.619.469-.905.749 2.054 2.668 3.627 5.621 6.046 8.04 23.408 23.394 56.719 28.125 74.253 10.605 17.534-17.549 12.788-50.859-10.605-74.253-4.964-4.953-10.538-8.848-16.379-12.18-7.241 3.38-15.047 5.414-23.223 6.174z" />
      <path d="m306.347 276.347c17.534-17.534 12.773-50.845-10.605-74.253-20.55-20.528-54.78-30.079-74.253-10.605-17.534 17.549-12.773 50.859 10.605 74.253 23.408 23.407 56.704 28.11 74.253 10.605zm-53.042-74.253 42.437 42.437-21.211 21.211-42.437-42.437z" />
      <path d="m235.741 355.741c12.145-12.145 19.33-27.676 20.572-42.469-5.116-1.381-10.177-3.073-15.168-5.37l-47.84 47.84-21.211-21.211 43.599-43.599c-1.571-1.397-3.3-2.468-4.81-3.979-3.99-3.992-7.469-8.26-10.67-12.64-10.155 3.483-19.911 9.573-28.12 17.781-23.379 23.394-28.14 56.704-10.605 74.253s50.889 12.788 74.253-10.606z" />
      <path d="m256 512c107.52 0 195-88.48 195-196 0-42.554-13.462-82.969-38.921-116.895l-156.079-199.105-156.079 199.091c-25.459 33.926-38.921 74.355-38.921 116.909 0 107.52 87.48 196 195 196zm-105.117-241.117c10.318-10.327 22.577-18.151 35.513-23.271-9.662-28.088-5.614-57.83 13.881-77.335 29.224-29.224 81.592-24.492 116.675 10.605 32.221 32.234 38.507 78.798 16.727 108.865 4.644 3.353 9.128 6.984 13.273 11.135 35.083 35.098 39.844 87.437 10.605 116.675-31.183 31.183-83.981 22.062-116.675-10.605-3.593-3.593-6.89-7.407-9.904-11.402-36.478 18.995-70.719 11.99-90.701-7.993-29.223-29.238-24.477-81.577 10.606-116.674z" />
    </SvgIcon>
  )
}

export const HematologicFailureIconPdf: React.FC<Partial<ImageProps>> = (props) => {
  return <Image src={png} {...props} />
}

export default HematologicFailureIcon
